#include <Display/WidgetDisplay/SettingsDisplay/SettingsDisplay.hpp>
#include <Utilities/Utilities.hpp>
#include <Material/Material.hpp>
#include <Widget/Layout/Column/Column.hpp>
#include <Widget/Layout/Center/Center.hpp>
#include <Widget/Button/Button.hpp>
#include <Log/Log.hpp>
#include <Display/WidgetDisplay/WorldSelection/WorldSelection.hpp>
#include <Display/WidgetDisplay/ServerSelection/ServerSelection.hpp>
#include <Widget/Layout/CompoundWidget/IconText/IconText.hpp>
#include <Widget/Slider/Slider.hpp>
#include <Widget/Panel/Panel.hpp>
#include <Widget/Label/Label.hpp>
#include <Settings/Settings.hpp>
#include <Widget/Layout/CompoundWidget/SettingsPanel/SettingsPanel.hpp>
#include <Widget/Layout/Column/HorizontalSeparator/HorizontalSeparator.hpp>
#include <Widget/Layout/CompoundWidget/Form/Form.hpp>
#include <Widget/Button/BackButton/BackButton.hpp>

SettingsDisplay::SettingsDisplay()
{
    setWidget(
        new Margin<10>(
            new Form(
                new IconText(Material::settings, "Settings"),
                new SettingsPanel(),

                Layout::WithProportion<1>(),
                new Center(new BackButton())
            )
        )
    );
};